#
# Conditional build:
%bcond_without	libsmi		# Build without SMI support
%bcond_with	drop_priv	# Breaks "-w" option
#
Summary:	dumps packets that are sent or received over a network interface
Summary(de.UTF-8):	deponiert Pakete, die über eine Netzwerkschnittstelle gesandt oder empfangen werden
Summary(es.UTF-8):	Enseña los paquetes que son enviados o recibidos a través de una interface de red
Summary(fr.UTF-8):	vide les paquets émis ou reçus sur une interface réseau
Summary(pl.UTF-8):	Pokazuje pakiety przechodzące przez interfejsy sieciowe
Summary(pt_BR.UTF-8):	Mostra os pacotes que são enviados ou recebidos através de uma interface de rede
Summary(ru.UTF-8):	Инструмент для мониторинга сетевого траффика
Summary(tr.UTF-8):	Bir ağ arabirimi üzerinden gelen ya da giden paketleri listeler
Summary(uk.UTF-8):	Інструмент для моніторингу мережевого трафіку
Name:		tcpdump
Version:	4.99.0
Release:	2
Epoch:		1
License:	BSD
Group:		Networking/Utilities
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	b10aa2f497def7283bc060f626879ce5
URL:		http://www.tcpdump.org/
BuildRequires:	autoconf >= 2.61
BuildRequires:	libcap-ng-devel
BuildRequires:	libpcap-devel >= 2:1.10.0
%{?with_libsmi:BuildRequires:	libsmi-devel}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.202
Requires:	libpcap >= 2:1.10.0
%if %{with drop_priv}
Provides:	user(tcpdump)
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
%endif
Requires(postun):	/usr/sbin/userdel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tcpdump prints out the headers of packets on a network interface. It
is very useful for debugging network problems and security operations.

%description -l de.UTF-8
Tcpdump druckt die Headers von Paketen auf einer Netzschnittstelle. Es
ist überaus nützlich zum Debuggen von Netzwerkproblemen und von
Sicherheitsoperationen.

%description -l es.UTF-8
Tcpdump imprime los encabezamientos de los paquetes en una interface
de red. Es muy práctico para solucionar problemas en la red y para
operaciones de seguridad.

%description -l fr.UTF-8
tcpdump affiche les en-têtes des paquets d'une interface réseau. Il
est très utile pour détecter les problèmes de réseau et de sécurité.

%description -l pl.UTF-8
Tcpdump służy do analizy pakietów przechodzących przez interfejsy
sieciowe, jest użytecznym narzędziem do śledzenia ruchu w sieci.

%description -l pt_BR.UTF-8
Tcpdump imprime os cabeçalhos dos pacotes em uma interface de rede.
Ele é muito prático para resolver problemas na rede e para operações
de segurança.

%description -l ru.UTF-8
Tcpdump выводит хедеры пакетов, проходящих через сетевой интерфейс.
Незаменим для диагностики сетевых проблем и нарушений безопасности.

%description -l tr.UTF-8
Tcpdump, bir ağ arabirimi üzerinden geçen paketlerin başlıklarını
döker. Güvenlik işlemleri ve ağ problemlerinin irdelenmesi konularında
son derece yararlıdır.

%description -l uk.UTF-8
Tcpdump виводить хедери пакетів, що проходять через мереживний
інтерфейс. Незамінний для діагностики мереживних проблем та порушень
безпеки.

%prep
%setup -q

%build
%{__autoconf}
%configure \
	CFLAGS="-I. %{rpmcflags} %{rpmcppflags}" \
	%{?with_smi:--with-smi} \
%if %{with drop_priv}
	--with-user=tcpdump \
	--with-chroot=/usr/share/empty \
%endif
	--with-crypto
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_bindir}/tcpdump.%{version}

%if %{with drop_priv}
%pre
%useradd -u 273 -r -d /usr/share/empty -s /bin/false -c "tcpdump User" -g nobody tcpdump
%endif

%postun
if [ "$1" = "0" ]; then
	%userremove tcpdump
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE README.md
%attr(755,root,root) %{_bindir}/tcpdump
%{_mandir}/man1/tcpdump.1*
%changelog
* Sat May 15 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tcpdump.git;a=log;h=master

* Sat May 15 2021 Jan Rękorajski <baggins@pld-linux.org> a56857e
- Release 2 (by relup.sh)

* Mon Feb 15 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> ef47917
- up to 4.99.0; upstream installs into bindir now

* Thu Oct 03 2019 Adam Gołębiowski <adamg@pld-linux.org> d7ca0f1
- updated to 4.9.3 (solves CVE-2017-16808, CVE-2018-14468, CVE-2018-14469,
  CVE-2018-14470, CVE-2018-14466, CVE-2018-14461, CVE-2018-14462,
  CVE-2018-14465, CVE-2018-14881, CVE-2018-14464, CVE-2018-14463,
  CVE-2018-14467, CVE-2018-10103, CVE-2018-10105, CVE-2018-14880,
  CVE-2018-16451, CVE-2018-14882, CVE-2018-16227, CVE-2018-16229,
  CVE-2018-16301, CVE-2018-16230, CVE-2018-16452, CVE-2018-16300,
  CVE-2018-16228, CVE-2019-15166, CVE-2019-15167, CVE-2018-14879)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 70dd8b2
- release 2 (by relup.sh)

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b7ed1b
- up to 4.9.2

* Sat Jan 14 2017 Jakub Bogusz <qboosh@pld-linux.org> c5d27d0
- updated to 4.8.1

* Sun Jul 05 2015 Jakub Bogusz <qboosh@pld-linux.org> fee49fb
- updated to 4.7.4
- removed obsolete libpcap-m4 patch

* Mon Sep 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 9a91aa9
- updated to 4.6.2
- updated libpcap-m4 patch

* Thu Aug 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 1a5bfec
- userremove macro is already protected against no packages providing user or userdel failure

* Sat Aug 09 2014 Tomasz Pala <gotar@pld-linux.org> d4dd684
- create and provide tcpdump user only when build with drop_priv
such lame priviledge disposal only pollutes one's user database, while
it's all up to cap_net_raw,cap_net_admin=ep

* Sun Jul 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c68247
- up to 1.6.1

* Fri Jan 24 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a4d3a9
- rel 2; force libpcap 1.5.2 which fixes bugs like: 'can't get TPACKET_V3 header len on packet socket'

* Thu Nov 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 5a57556
- updated libpcap version

* Thu Nov 28 2013 Jakub Bogusz <qboosh@pld-linux.org> b5048cc
- updated to 4.5.1

* Thu Jun 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7975d5b
- force libpcap 1.4.0, enable capability dropping via libcap-ng

* Thu Jun 06 2013 Łukasz Kieś <kiesiu@pld-linux.org> 7c03c6d
- updated to 4.4.0

* Mon Jun 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 2a98f18
- updated to 4.3.0

* Tue Jan 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a895ec
- up to 4.2.1

* Mon Dec 19 2011 Elan Ruusamäe <glen@pld-linux.org> 394a29d
- hide -w option for rpmbuild

* Fri Dec 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e362c86
- release 6

